extends Node

var Type = { "none":0, "protanopia":1, "deuteranotopia":2, "tritanotopia":3, "achromatopsia":4 }
onready var database = get_node("/root/Banco_de_Dados")

var rect = ColorRect.new()
onready var camera = get_parent().get_node("Camera2D")

func set_type(value):
    if rect.material:
        rect.material.set_shader_param("type", Type[value])

func _ready():
    Banco_de_Dados.carregar_dados()
    $CanvasModulate.add_child(rect)
    rect.rect_min_size = get_viewport().size
    rect.material = load("res://addons/paulloz.colorblindness/colorblindness.material")
    set_process(true)

func _process(delta):
    rect.rect_position = Vector2(camera.get_camera_position().x - 512, camera.get_camera_position().y - 300)
    if Banco_de_Dados.dados_salvos["acessibilidade"] == false:
        set_type("none")
    else:
        set_type(Banco_de_Dados.dados_salvos["tipo_acessibilidade"])