extends Node2D

onready var volume = get_node("Slider_Volume/HSlider")
onready var banco_de_dados = get_node("/root/Banco_de_Dados")


func visibilidade(visiveis, invisiveis):
	if visiveis != null:
		for i in visiveis:
			i.visible = true
	if invisiveis != null:
		for i in invisiveis:
			i.visible = false
			
func pressionado_correcao_de_cor(deuteranotopia_check:bool, protanotopia_check:bool, tritanotopia_check:bool, achromatopsia_check:bool):
	$Correcao_de_Cor/HB_Deuteranotopia/Cb_Deuteranotopia.pressed = deuteranotopia_check
	$Correcao_de_Cor/HB_Protanopia/Cb_Protanopia.pressed = protanotopia_check
	$Correcao_de_Cor/HB_Tritanotopia/Cb_Tritanotopia.pressed = tritanotopia_check
	$Correcao_de_Cor/HB_Achromatopsia/Cb_Achromatopsia.pressed = achromatopsia_check

func _ready():
	banco_de_dados.carregar_dados()
	set_process(true)
	
	$Slider_Volume/HSlider.value = banco_de_dados.dados_salvos["som"]
	
	if (banco_de_dados.dados_salvos["acessibilidade"] == true):
		$Correcao_de_Cor/Cb_Correcao.pressed = true
		visibilidade([$Correcao_de_Cor/HB_Deuteranotopia/Cb_Deuteranotopia, $Correcao_de_Cor/HB_Protanopia/Cb_Protanopia, $Correcao_de_Cor/HB_Tritanotopia/Cb_Tritanotopia, $Correcao_de_Cor/HB_Achromatopsia/Cb_Achromatopsia], null)
	else:
		$Correcao_de_Cor/Cb_Correcao.pressed = false
		visibilidade(null, [$Correcao_de_Cor/HB_Deuteranotopia/Cb_Deuteranotopia, $Correcao_de_Cor/HB_Protanopia/Cb_Protanopia, $Correcao_de_Cor/HB_Tritanotopia/Cb_Tritanotopia, $Correcao_de_Cor/HB_Achromatopsia/Cb_Achromatopsia])
	
	match(banco_de_dados.dados_salvos["tipo_acessibilidade"]):
		"deuteranotopia":
			pressionado_correcao_de_cor(true, false, false, false)
		"protanopia":
			pressionado_correcao_de_cor(false, true, false, false)
		"tritanotopia":
			pressionado_correcao_de_cor(false, false, true, false)
		"achromatopsia":
			pressionado_correcao_de_cor(false, false, false, true)
			
			
func _process(delta):
	pass

func _on_Cb_Correcao_toggled(button_pressed):
	if button_pressed == true:
		banco_de_dados.acessibilidade = true
		visibilidade([$Correcao_de_Cor/HB_Deuteranotopia/Cb_Deuteranotopia, $Correcao_de_Cor/HB_Protanopia/Cb_Protanopia, $Correcao_de_Cor/HB_Tritanotopia/Cb_Tritanotopia, $Correcao_de_Cor/HB_Achromatopsia/Cb_Achromatopsia], null)
		banco_de_dados.salvar_dados()
		banco_de_dados.carregar_dados()
	else:
		banco_de_dados.acessibilidade = false
		visibilidade(null, [$Correcao_de_Cor/HB_Deuteranotopia/Cb_Deuteranotopia, $Correcao_de_Cor/HB_Protanopia/Cb_Protanopia, $Correcao_de_Cor/HB_Tritanotopia/Cb_Tritanotopia, $Correcao_de_Cor/HB_Achromatopsia/Cb_Achromatopsia])
		banco_de_dados.salvar_dados()
		banco_de_dados.carregar_dados()

func _on_Cb_Deuteranotopia_pressed():
	pressionado_correcao_de_cor(true, false, false, false)
	banco_de_dados.tipo_acessibilidade = "deuteranotopia"
	banco_de_dados.salvar_dados()
	banco_de_dados.carregar_dados()


func _on_Cb_Protanopia_pressed():
	pressionado_correcao_de_cor(false, true, false, false)
	banco_de_dados.tipo_acessibilidade = "protanopia"
	banco_de_dados.salvar_dados()
	banco_de_dados.carregar_dados()


func _on_Cb_Tritanotopia_pressed():
	pressionado_correcao_de_cor(false, false, true, false)
	banco_de_dados.tipo_acessibilidade = "tritanotopia"
	banco_de_dados.salvar_dados()
	banco_de_dados.carregar_dados()
	

func _on_Cb_Achromatopsia_pressed():
	pressionado_correcao_de_cor(false, false, false, true)
	banco_de_dados.tipo_acessibilidade = "achromatopsia"
	banco_de_dados.salvar_dados()
	banco_de_dados.carregar_dados()



func _on_Btn_Voltar_pressed():
	get_parent().get_node("Configuracoes").visible = false
	get_parent().get_node("Menu").visible = true


func _on_HSlider_value_changed(value):
	banco_de_dados.som = value
	banco_de_dados.salvar_dados()
	banco_de_dados.carregar_dados()

